# Get Records

## Get Record From Tag

Get a Record from it's tag.

```javascript
import {getRecordFromTag} from 'dubnium'
getRecordFromTag("tag")
```

## Get All Records

```javascript
import {getAllRecords} from 'dubnium'
getAllRecords()
```

## Fuzzy Search Records

{% content-ref url="/pages/nAlh07Qp5tFrRCZMxeZG" %}
[Fuzzy Search Records](/0/reference/api/fuzzy-search-records.md)
{% endcontent-ref %}

## Get Record from Value

```javascript
import { getRecordFromValue } from 'dubnium'
getRecordFromValue()
```

## Check if a Record exists

Check if a record exists.

{% hint style="warning" %}
This will only return `true` or `false`.
{% endhint %}

```javascript
import ( doesRecordExistByTag } from 'dubnium'
doesRecordExistByTag("tag_here")
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://db.coolstone.dev/0/reference/api/get-records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
